defmodule Slax.Chat do
  @moduledoc """
  Context to handle with chat details.
  """

  import Ecto.Query

  alias Slax.Chat.Room
  alias Slax.Repo

  def get_first_room! do
    query = from(r in Room, limit: 1, order_by: [asc: :name])
    Repo.one!(query)
  end

  def get_room!(id) do
    Repo.get!(Room, id)
  end

  def list_rooms do
    query = from(r in Room, order_by: [asc: :name])
    Repo.all(query)
  end
end
